MPD

- Main Page
- Data Structures
- Files

- File List
- Globals

Functions

# src/crossfade.h File Reference

Go to the source code of this file.

## Functions
unsigned | cross_fade_calc (float duration, float total_time, float mixramp_db, float mixramp_delay, float replay_gain_db, float replay_gain_prev_db, char *mixramp_start, char *mixramp_prev_end, const struct audio_format *af, const struct audio_format *old_format, unsigned max_chunks)
| Calculate how many music pipe chunks should be used for crossfading.

## Function Documentation

unsigned cross_fade_calc | ( | float | duration,
|  | float | total_time,
|  | float | mixramp_db,
|  | float | mixramp_delay,
|  | float | replay_gain_db,
|  | float | replay_gain_prev_db,
|  | char * | mixramp_start,
|  | char * | mixramp_prev_end,
|  | const struct audio_format * | af,
|  | const struct audio_format * | old_format,
|  | unsigned | max_chunks
| ) |  |

Calculate how many music pipe chunks should be used for crossfading.

Parameters:

  duration | the requested crossfade duration
  total_time | total_time the duration of the new song
  mixramp_db | the current mixramp_db setting
  mixramp_delay | the current mixramp_delay setting
  replay_gain_db | the ReplayGain adjustment used for this song
  replay_gain_prev_db | the ReplayGain adjustment used on the last song
  mixramp_start | the next songs mixramp_start tag
  mixramp_prev_end | the last songs mixramp_end setting
  af | the audio format of the new song
  old_format | the audio format of the current song
  max_chunks | the maximum number of chunks

Returns:
  the number of chunks for crossfading, or 0 if cross fading should be disabled for this song change